Bug 210800 - Window creep switching from metacity to compiz and vice-versa
Window creep switching from metacity to compiz and vice-versa
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-15 06:00 EDT by Saikat Guha
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 10:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2006-10-15 06:00:47 EDT
When replacing metacity with compiz --replace, windows creep upwards and to the
left by the height/width of metacity decorations.

If the top-left corner of a metacity window (with Metacity decorations) is 0,0
switching to compiz moves the window (with Compiz decorations) is -10,-50 or
something.

When Metacity exits, it removes decorations and repositions the top-left corner
of the contents. When Compiz starts up, compiz doesn't reposition the contents
and instead adds decorations around the contents. In comparision, when Metacity
starts up, it repositions the window contents to the bottom-right by the
heigh/width of the decorations.

Overall metacity<-->metacity doesn't cause window creep, compiz<-->compiz
doesn't cause window creep, but metacity<-->compiz causes window creep.
Comment 1 Deji Akingunola 2007-02-26 00:18:37 EST
This bug is solved by adding the place plugin to your list of active plugins.
See http://mricon.livejournal.com/368049.html .
Comment 2 Matthew Miller 2007-04-06 14:18:28 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Matěj Cepl 2007-07-12 10:47:52 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.